#! /usr/bin/env python

"""
Application is the entry point to running the TPC-DI evaluation on databricks

The evaluation class is intended for interactive use. For timed benchmark runs
see benchmark.py
"""

import sys
from .warehouse.warehouse import Warehouse
from .staging.staging import Staging
from .initializationPhase import InitializationPhase
from .historicalLoadPhase import HistoricalLoadPhase
from .incrementalUpdatePhase import IncrementalUpdatePhase
from .auditPhase import AuditPhase

class Benchmark(InitializationPhase,
                HistoricalLoadPhase,
                IncrementalUpdatePhase,
                AuditPhase):

    def run_benchmark(self):
        # TODO: Write benchmark process
        pass

def benchmark_main(sf=3):
    bm = Benchmark()
    # TODO: write benchmark initialization
    bm.run_benchmark()

if __name__ == "__main__":
    scale_factor = int(sys.argv[1])
    benchmark_main(scale_factor)
