#! /usr/bin/env python

"""
The initialization module is provide to isolate methods needed to run Phase of Operations
 initialization phase (7.2.3).

http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=86
"""

import sys
from .warehouse.warehouse import Warehouse
from .staging.staging import Staging

class InitializationPhase:

    warehouse: Warehouse
    staging: Staging

    def run_cleanup(self):
        # TODO: write cleanup process to instantiate new benchmark run environment
        pass

    def run_initialization_phase(self):
        # TODO: initialization tasks
        pass

def initialization_main(sf=3):
    ip = InitializationPhase()
    ip.staging = Staging(f'tpcdi_stg_{sf}',
                         f'dbfs:/user/hive/warehouse/tpcdi_stg_{sf}.db/pdgf_output')
    ip.warehouse = Warehouse(f'tpcdi_wh_{sf}')
    ip.run_initialization_phase()


if __name__ == "__main__":
    scale_factor = int(sys.argv[1])
    initialization_main(scale_factor)
