"""
Functions for Staging Account.txt Files

definition is taken exactly from table 2.2.3

TPC-DI Requirement: 2.2.2.1
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=21
"""


from ..stgData import StgData
from ..fileFormatDef import *

class Account(StgData):

    file_name = 'Account.txt'
    batches = [2, 3]
    definition = [("CDC_FLAG",  CDC_FLAG_T, True,  'Denotes insert or update'),
                  ("CDC_DSN",   CDC_DSN_T,  True,  'Database Sequence Number'),
                  ("CA_ID",     IDENT_T,    False, 'Customer account identifier'),
                  ("CA_B_ID",   IDENT_T,    False, 'Identifier of the managing broker'),
                  ("CA_C_ID",   IDENT_T,    False, 'Owning customer identifier'),
                  ("CA_NAME",   CHAR(50),   True,  'Name of customer account'),
                  ("CA_TAX_ST", NUM(1),     False, 'Tax status of this account'),
                  ("CA_ST_ID",  CHAR(4),    False, 'Customer status type identifier')]
