"""
Functions for Staging *_Audit.csv Files

definition is taken exactly from table 2.2.20

TPC-DI Requirement: 2.2.2.19
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=35
"""


from ..stgData import StgData
from ..fileFormatDef import *

class Audit(StgData):

    file_name = '*_audit.csv'
    batches = [1,]
    definition = [("DataSet",   CHAR(20),   False, "Component the data is associated with"),
                  ("BatchID",   NUM(5),     True,  "BatchID the data is associated with"),
                  ("Date",      DATE,       True, "Date value corresponding to the Attribute"),
                  ("Attribute", CHAR(50),   False, "Attribute this row of data corresponds to"),
                  ("Value",     SNUM(15),   True,  "Integer value corresponding to the Attribute"),
                  ("DValue",    SNUM(15,5), True,  "Decimal value corresponding to the Attribute")]

