"""
Functions for Staging CashTransaction.txt Files

definition is taken exactly from table 

TPC-DI Requirement: 2.2.2.3
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=21

NOTE: The format between Batch1 and Batch2 is different which explains the batch_id case statement in get_df
"""

from ..stgData import StgData
from ..fileFormatDef import *


class CashTransaction(StgData):

    file_name = 'CashTransaction.txt'
    definition = [("CDC_FLAG", CDC_FLAG_T, True,    "‘I’ Denotes insert"),
                  ("CDC_DSN",  CDC_DSN_T,  True,    'Database Sequence Number'),
                  ("CT_CA_ID", IDENT_T,    False,   'Customer account identifier'),
                  ("CT_DTS",   DATETIME,   False,   'Timestamp of when the trade took place'),
                  ("CT_AMT",   VALUE_T,    False,   'Amount of the cash transaction.'),
                  ("CT_NAME",  CHAR(100),  False,   'Transaction name, or description: e.g. “Cash from sale of DuPont stock”.')]
