"""
Functions for Staging Customer.txt Files

definition is taken exactly from table 

TPC-DI Requirement: 2.2.2.4
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=22
"""


from ..stgData import StgData
from ..fileFormatDef import *

class Customer(StgData):

    file_name = 'Customer.txt'
    batches = [2, 3]
    definition = [("CDC_FLAG",     CDC_FLAG_T,   True,  "‘I’ or ‘U’, Denotes insert or update"),
                  ("CDC_DSN",      CDC_DSN_T,    True,  "Database Sequence Number"),
                  ("C_ID",         IDENT_T,      False, "Customer identifier"),
                  ("C_TAX_ID",     CHAR(20),     False, "Customer’s tax identifier"),
                  ("C_ST_ID",      CHAR(4),      False, "‘ACTV’ or ‘INAC’ Customer status type identifier"),
                  ("C_L_NAME",     CHAR(25),     False, "Primary Customer's last name."),
                  ("C_F_NAME",     CHAR(20),     False, "Primary Customer's first name."),
                  ("C_M_NAME",     CHAR(1),      True,  "Primary Customer's middle initial"),
                  ("C_GNDR",       CHAR(1),      True,  "Gender of the primary customer"),
                  ("C_TIER",       NUM(1),       True,  "Customer tier"),
                  ("C_DOB",        DATE,         False, "Customer’s date of birth, as YYYY-MM-DD."),
                  ("C_ADLINE1",    CHAR(80),     False, "Address Line 1"),
                  ("C_ADLINE2",    CHAR(80),     True,  "Address Line 2"),
                  ("C_ZIPCODE",    CHAR(12),     False, "Zip or postal code"),
                  ("C_CITY",       CHAR(25),     False, "City"),
                  ("C_STATE_PROV", CHAR(20),     False, "State or province"),
                  ("C_CTRY",       CHAR(24),     True,  "Country"),
                  ("C_CTRY_1",     CHAR(3),      True,  "Country code for Customer's phone 1."),
                  ("C_AREA_1",     CHAR(3),      True,  "Area code for customer’s phone 1."),
                  ("C_LOCAL_1",    CHAR(10),     True,  "Local number for customer’s phone 1."),
                  ("C_EXT_1",      CHAR(5),      True,  "Extension number for Customer’s phone 1."),
                  ("C_CTRY_2",     CHAR(3),      True,  "Country code for Customer's phone 2."),
                  ("C_AREA_2",     CHAR(3),      True,  "Area code for Customer’s phone 2."),
                  ("C_LOCAL_2",    CHAR(10),     True,  "Local number for Customer’s phone 2."),
                  ("C_EXT_2",      CHAR(5),      True,  "Extension number for Customer’s phone 2."),
                  ("C_CTRY_3",     CHAR(3),      True,  "Country code for Customer's phone 3."),
                  ("C_AREA_3",     CHAR(3),      True,  "Area code for Customer’s phone 3."),
                  ("C_LOCAL_3",    CHAR(10),     True,  "Local number for Customer’s phone 3."),
                  ("C_EXT_3",      CHAR(5),      True,  "Extension number for Customer’s phone 3."),
                  ("C_EMAIL_1",    CHAR(50),     True,  "Customer's e-mail address 1."),
                  ("C_EMAIL_2",    CHAR(50),     True,  "Customer's e-mail address 2."),
                  ("C_LCL_TX_ID",  CHAR(4),      False, "Customer's local tax rate"),
                  ("C_NAT_TX_ID",  CHAR(4),      False, "Customer's national tax rate")]


