"""
Functions for Staging DailyMarket.txt Files

definition is taken exactly from table 2.2.10

TPC-DI Requirement: 2.2.2.6
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=28

NOTE: The format between Batch1 and Batch2 is different which explains the batch_id case statement in get_df
"""

from ..stgData import StgData
from ..fileFormatDef import *

class DailyMarket(StgData):

    file_name = 'DailyMarket.txt'
    definition = [("CDC_FLAG",  CDC_FLAG_T, True,  "‘I’ Denotes insert"), \
                  ("CDC_DSN",   CDC_DSN_T,  True,  "Database Sequence Number"), \
                  ("DM_DATE",   DATE,       False, "Date of last completed trading day."), \
                  ("DM_S_SYMB", CHAR(15),   False, "Security symbol of the security"), \
                  ("DM_CLOSE",  S_PRICE_T,  False, "Closing price of the security on this day."), \
                  ("DM_HIGH",   S_PRICE_T,  False, "Highest price for the secuirity on this day."), \
                  ("DM_LOW",    S_PRICE_T,  False, "Lowest price for the security on this day."), \
                  ("DM_VOL",    S_COUNT_T,  False, "Volume of the security on this day."),]
