"""
Functions for Staging HR.csv Files

definition is taken exactly from table 2.2.10

TPC-DI Requirement: 2.2.2.10
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=31
"""


from ..stgData import StgData
from ..fileFormatDef import *

class HR(StgData):

    file_name = 'HR.csv'
    batches = [1,]
    definition = [("EmployeeID",        IDENT_T,  "ID of employee"),
                  ("ManagerID",         IDENT_T,  "ID of employee’s manager"),
                  ("EmployeeFirstName", CHAR(30), "First name"),
                  ("EmployeeLastName",  CHAR(30), "Last name"),
                  ("EmployeeMI",        CHAR(1),  "Middle initial"),
                  ("EmployeeJobCode",   NUM(3),   "Numeric job code"),
                  ("EmployeeBranch",    CHAR(30), "Facility in which employee has office"),
                  ("EmployeeOffice",    CHAR(10), "Office number or description"),
                  ("EmployeePhone",     CHAR(14), "Employee phone number")]
