"""
Functions for Staging HoldingHistory.txt Files

definition is taken exactly from table 2.2.9

TPC-DI Requirement: 2.2.2.9
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=31
"""


from ..stgData import StgData
from ..fileFormatDef import *
from pyspark.sql.types import StructType, StructField, StringType, DecimalType
from pyspark.sql.functions import lit

class HoldingHistory(StgData):

    file_name = 'HoldingHistory.txt'
    definition = [("CDC_FLAG",      CDC_FLAG_T, True,  "‘I’ Denotes insert"),
                  ("CDC_DSN",       CDC_DSN_T,  True,  "Database Sequence Number"),
                  ("HH_H_T_ID",     TRADE_T,    False, "Trade Identifier of the trade that originally created the holding row."),
                  ("HH_T_ID",       TRADE_T,    False, "Trade Identifier of the current trade"),
                  ("HH_BEFORE_QTY", S_QTY_T,    False, "Quantity of this security held before the modifying trade."),
                  ("HH_AFTER_QTY",  S_QTY_T,    False, "Quantity of this security held after the modifying trade.")]
