"""
Functions for Staging Industry.txt Files

definition is taken exactly from table 2.2.11

TPC-DI Requirement: 2.2.2.11
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=32
"""


from ..stgData import StgData
from ..fileFormatDef import *

class RawIndustry(StgData):

    file_name = 'Industry.txt'
    batches = [1, ]
    definition = [("IN_ID",    CHAR(2),  False, "Industry code"),
                  ("IN_NAME",  CHAR(50), False, "Industry description"),
                  ("IN_SC_ID", CHAR(4),  False, "Sector identifier")]