"""
Functions for Staging StatusType.txt Files

definition is taken exactly from table 2.2.13

TPC-DI Requirement: 2.2.2.13
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=33
"""


from ..stgData import StgData
from ..fileFormatDef import *

class RawStatusType(StgData):

    file_name = 'StatusType.txt'
    batches = [1, ]
    definition = [("ST_ID",   CHAR(4),  False, "Status code"),
                  ("ST_NAME", CHAR(10), False, "Status description")]
