"""
Functions for Staging TaxRate.txt Files

definition is taken exactly from table 2.2.14

TPC-DI Requirement: 2.2.2.14
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=33
"""


from ..stgData import StgData
from ..fileFormatDef import *

class RawTaxRate(StgData):

    file_name = 'TaxRate.txt'
    batches = [1, ]
    definition = [("TX_ID",   CHAR(4),  False, "Tax rate code"),
                  ("TX_NAME", CHAR(50), False, "Tax rate description"),
                  ("TX_RATE", NUM(6,5), False, "Tax rate")]