"""
Functions for Staging TradeType.txt Files

definition is taken exactly from table 2.2.18

TPC-DI Requirement: 2.2.2.17
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=34
"""


from ..stgData import StgData
from ..fileFormatDef import *

class RawTradeType(StgData):

    file_name = 'TradeType.txt'
    batches = [1, ]
    definition = [("TT_ID",      CHAR(3),  False, "Trade type code"),
                  ("TT_NAME",    CHAR(12), False, "Trade type description"),
                  ("TT_IS_SELL", NUM(1),   False, "Flag indicating a sale"),
                  ("TT_IS_MRKT", NUM(1),   False, "Flag indicating a market order")]
