"""
Functions for Staging Time.txt Files

definition is taken exactly from table 2.2.15

TPC-DI Requirement: 2.2.2.15
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=33
"""


from ..stgData import StgData
from ..fileFormatDef import *

class Time(StgData):

    file_name = 'Time.txt'
    batches = [1, ]
    definition = [("SK_TimeID",       IDENT_T,  False, 'Surrogate key for the time'),
                  ("TimeValue",       CHAR(20), False, 'The time as text, e.g. “01:23:45”'),
                  ("HourID",          NUM(2),   False, 'Hour number as a number, e.g. 01'),
                  ("HourDesc",        CHAR(20), False, 'Hour number as text, e.g. “01”'),
                  ("MinuteID",        NUM(2),   False, 'Minute as a number, e.g. 23'),
                  ("MinuteDesc",      CHAR(20), False, 'Minute as text, e.g. “01:23”'),
                  ("SecondID",        NUM(2),   False, 'Second as a number, e.g. 45'),
                  ("SecondDesc",      CHAR(20), False, 'Second as text, e.g. “01:23:45”'),
                  ("MarketHoursFlag", BOOLEAN,  True,  "Indicates a time during market hours"),
                  ("OfficeHoursFlag", BOOLEAN,  True,  "Indicates a time during office hours")]
