"""
Functions for Staging TradeHistory.txt Files

definition is taken exactly from table 2.2.16

TPC-DI Requirement: 2.2.2.16
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=33
"""


from ..stgData import StgData
from ..fileFormatDef import *

class TradeHistory(StgData):

    file_name = 'TradeHistory.txt'
    batches = [1, ]
    definition = [("TH_T_ID",  TRADE_T,  False, "Trade identifier. Corresponds to T_ID in the Trade.txt file"),
                  ("TH_DTS",   DATETIME, False, "When the trade history was updated."),
                  ("TH_ST_ID", CHAR(4),  False, "Status type identifier.")]
