"""
Functions for Staging WatchHistory.txt Files

definition is taken exactly from table 2.2.19

TPC-DI Requirement: 2.2.2.18
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=35
"""


from ..stgData import StgData
from ..fileFormatDef import *
from pyspark.sql.types import StructType, StructField, StringType, DecimalType
from pyspark.sql.functions import lit

class WatchHistory(StgData):

    file_name = 'WatchHistory.txt'
    definition = [("CDC_FLAG", CDC_FLAG_T, True,  "‘I’ Rows are only added"),
                  ("CDC_DSN",  CDC_DSN_T,  True,  "Database Sequence Number"),
                  ("W_C_ID",   IDENT_T,    False, "Customer identifier"),
                  ("W_S_SYMB", CHAR(15),   False, "Symbol of the security to watch"),
                  ("W_DTS",    DATETIME,   False, "Date and Time Stamp for the action"),
                  ("W_ACTION", CHAR(4),    False, "‘ACTV’ or ‘CNCL’ Whether activating or canceling the watch")]
