"""
transformation.historical module has all definitions of Historical Load
"""


from .hl_DimDate            import Hl_DimDate
from .hl_DimTime            import Hl_DimTime
from .hl_AuxCustomerMgmt    import Hl_AuxCustomerMgmt
from .hl_AuxFINWIRE         import Hl_AuxFINWIRE
from .hl_AuxProspect        import Hl_AuxProspect
from .hl_DimBroker          import Hl_DimBroker
from .hl_Industry           import Hl_Industry
from .hl_StatusType         import Hl_StatusType
from .hl_TaxRate            import Hl_TaxRate
from .hl_TradeType          import Hl_TradeType

from .hl_DimCompany         import Hl_DimCompany
from .hl_DimCustomer        import Hl_DimCustomer

from .hl_DimSecurity        import Hl_DimSecurity
from .hl_DimAccount         import Hl_DimAccount

from .hl_FactMarketHistory  import Hl_FactMarketHistory
from .hl_FactWatches        import Hl_FactWatches
from .hl_Prospect           import Hl_Prospect
from .hl_DimTrade           import Hl_DimTrade
from .hl_FactCashBalances   import Hl_FactCashBalances

from .hl_FactHoldings       import Hl_FactHoldings
from .hl_Financial          import Hl_Financial
# from .hl_DImessages         import Hl_DImessages
# from .hl_Audit              import Hl_Audit


__all__ = ['TRANS_HL']

TRANS_HL = {'DimDate': Hl_DimDate, 'DimTime': Hl_DimTime,
            'DimCompany': Hl_DimCompany, 'DimCustomer': Hl_DimCustomer, 'DimBroker': Hl_DimBroker,
            'DimSecurity': Hl_DimSecurity, 'DimAccount': Hl_DimAccount,
            'FactMarketHistory': Hl_FactMarketHistory, 'FactWatches': Hl_FactWatches, 'Prospect': Hl_Prospect,
            'DimTrade': Hl_DimTrade, 'FactCashBalances': Hl_FactCashBalances, 'FactHoldings': Hl_FactHoldings,
            'TradeType': Hl_TradeType,
            'StatusType': Hl_StatusType, 'TaxRate': Hl_TaxRate, 'Industry': Hl_Industry, 'Financial': Hl_Financial,
            'AuxFINWIRE': Hl_AuxFINWIRE, 'AuxCustomerMgmt': Hl_AuxCustomerMgmt, 'AuxProspect': Hl_AuxProspect}

# TRANS_HL = [Hl_FactCashBalances, Hl_FactHoldings, Hl_FactWatches, Hl_FactMarketHistory,
#             Hl_Prospect, Hl_DimTrade, Hl_DimCustomer, Hl_DimAccount, Hl_DimBroker, Hl_DimSecurity,
#             Hl_DimCompany, Hl_DimDate, Hl_DimTime, Hl_TradeType, Hl_StatusType, Hl_TaxRate,
#             Hl_Industry, Hl_Financial, Hl_DImessages, Hl_Audit]
