"""
Historic WorkFlow Part, DimBroker
**HISTORY TRACKING TABLE**


Transform Reference: 4.5.2
http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=60
"""

from ..hl_transform import Hl_transform
from pyspark.sql.functions import col, lit, row_number
from pyspark.sql.window import Window as W
from pyspark.sql import DataFrame


class Hl_DimBroker(Hl_transform):

    source_names = {'staging': ['HR'],
                    'warehouse': []}

    def _get_load_df(self) -> DataFrame:
        w = W.partitionBy(lit(1)).orderBy(lit(1))
        return self.source['HR'](1).filter(col("EmployeeJobCode") == 314) \
            .select(row_number().over(w).alias("SK_BrokerID"),
                    col("EmployeeID").alias("BrokerID"),
                    col("ManagerID"),
                    col("EmployeeFirstName").alias("FirstName"),
                    col("EmployeeLastName").alias("LastName"),
                    col("EmployeeMI").alias("MiddleInitial"),
                    col("EmployeeBranch").alias("Branch"),
                    col("EmployeeOffice").alias("Office"),
                    col("EmployeePhone").alias("Phone"),
                    lit(True).alias("IsCurrent"),
                    lit(1).alias("BatchID"),
                    lit(self.minEffectiveDate).alias('minEffectiveDate'),
                    lit('9999-12-31').alias('EndDate'))
