"""
Functions for data warehouse DimBroker

TPC-DI Requirement: 3.2.2
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=38
"""

from ..whTable import WhTable
from ..tableDefTypes import *


class DimBroker(WhTable):

    definition =[("SK_BrokerID",   SK_T,     False, "Surrogate key for broker"),
                 ("BrokerID",      IDENT_T,  False, "Natural key for broker"),
                 ("ManagerID",     IDENT_T,  True,  "Natural key for manager’s HR record"),
                 ("FirstName",     CHAR(50), False, "First name"),
                 ("LastName",      CHAR(50), False, "Last Name"),
                 ("MiddleInitial", CHAR(1),  True,  "Middle initial"),
                 ("Branch",        CHAR(50), True,  "Facility in which employee has office"),
                 ("Office",        CHAR(50), True,  "Office number or description"),
                 ("Phone",         CHAR(14), True,  "Employee phone number"),
                 ("IsCurrent",     BOOLEAN,   False, "True if this is the current record"),
                 ("BatchID",       NUM(5),    False, "Batch ID when this record was inserted"),
                 ("EffectiveDate", DATE,      False, "Current Record start date."),
                 ("EndDate",       DATE,      False, "Current record end date. Unexpired record will be 9999-12-31.")]
