"""
Functions for data warehouse FactCashBalance

TPC-DI Requirement: 3.2.9
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=43
"""

from ..whTable import WhTable
from ..tableDefTypes import *


class FactCashBalances(WhTable):

    definition =[("SK_CustomerID", SK_T,       False, "Surrogate key for CustomerID"),
                ("SK_AccountID",  SK_T,       False, "Surrogate key for AccountID"),
                ("SK_DateID",     SK_T,       False, "Surrogate key for the date"),
                ("Cash",          SNUM(15,2), False, "Cash balance for the account after applying changes for this day"),
                ("BatchID",       NUM(5),     False, "Batch ID when this record was inserted")]
