"""
Functions for data warehouse FactWatches

TPC-DI Requirement: 3.2.12
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=44
"""

from ..whTable import WhTable
from ..tableDefTypes import *


class FactWatches(WhTable):

    definition = [("SK_CustomerID",         SK_T,   False, "Customer associated with watch list"),
                  ("SK_SecurityID",         SK_T,   False, "Security listed on watch list"),
                  ("SK_DateID_DatePlaced",  SK_T,   False, "Date the watch list item was added"),
                  ("SK_DateID_DateRemoved", SK_T,   True,  "Date the watch list item was removed"),
                  ("BatchID",               NUM(5), False, "Not Null Batch ID when this record was inserted")]
