"""
Functions for data warehouse TradeType

TPC-DI Requirement: 3.2.18
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=46
"""


from ..whTable import WhTable
from ..tableDefTypes import *


class TradeType(WhTable):

    definition = [("TT_ID",      CHAR(3),  False, "Trade type code"),
                  ("TT_NAME",    CHAR(12), False, "Trade type description"),
                  ("TT_IS_SELL", NUM(1),   False, "Flag indicating a sale"),
                  ("TT_IS_MRKT", NUM(1),   False, "Flag indicating a market order")]
