"""
Table Definition Types

Derived from definitions in 3.2, Table 3.2.1 & Table 3.2.2
http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=37

NOTE: In future Databricks Runtime, will be able to use DayTimeIntervalType for TIME

NOTE: There is no VarcharType in pyspark.sql.types. Thus instead of passing a varchar class we 
      pass a string which is resolved in the delta table addColumn method.
"""

from pyspark.sql.types import *


# Base Types:

BOOLEAN=BooleanType()

def CHAR(n):
    return f'VARCHAR({n})'

DATE=DateType()

DATETIME=TimestampType()

def NUM(m,n=0):
    return DecimalType(m,n)

def SNUM(m,n=0):
    return DecimalType(m,n)

TIME = CHAR(12)


# Meta Types:

BALANCE_T = SNUM(12,2)

FIN_AGG_T = SNUM(15,2)

IDENT_T = NUM(11)

S_COUNT_T = NUM(12)

S_PRICE_T = SNUM(8,2)

SK_T  = NUM(11)

TRADE_T = NUM(15)

VALUE_T = SNUM(10,2)